Bug 239835 - sit1 tunnels aren't brought up automatically
sit1 tunnels aren't brought up automatically
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-11 13:04 EDT by Wolfgang Rupprecht
Modified: 2014-03-16 23:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Rupprecht 2007-05-11 13:04:25 EDT
Description of problem:
The instructions in /usr/share/doc/initscripts-*/ipv6-tunnel.howto
no longer work for creating a sit1 that is brought up at boot time.
Using "ifup sit1" after boot will still work, and the tunnel is fully functional
.  It is just the /etc/init.d/network script path that fails.

Version-Release number of selected component (if applicable):
initscripts-8.45.7-1

How reproducible:
Always

Steps to Reproduce:
1. Create ifcfg-sit1 and sysconfig/network as below
2. reboot   
3. watch the ascii boot as it tries to bring up the interfaces. 
  
Actual results:
It will fail as it hits "sit1" with an ioctl error being printed to the screen.
 ("no such interface" -- from memory).  It will print the red "FAIL" summary.

Expected results:
It should print the green "OK" and bring up the interface.

Additional info:

Note, an "ifup sit1" will work and succeed in bringing up the tunnel as
expected.  Before the ifup is run, a "service network restart" will also 
fail in the bringup of sit1.  After "ifup sit1" is run once the "service network
restart" will suceed.

It looks like the normal init scripts assume that sit1 exists at the time they
are run.  The sit1 interface  is dynamic and is created by something downstream 
of the ifup script.  The /etc/init.d/network script and cohorts need to be more 
mellow about a "sitN" interface not existing yet.

/etc/sysconfig/network-scripts/ifcfg-sit1:
DEVICE=sit1
BOOTPROTO=none
ONBOOT=yes
IPV6INIT=yes
IPV6TUNNELIPV4=208.201.XXX.XXX          # XXX == redacted
IPV6TUNNELIPV4LOCAL=64.142.50.224
IPV6ADDR=2001:05a8:0004:07d2::1/64

/etc/sysconfig/network:
NETWORKING=yes
NETWORKING_IPV6=yes
HOSTNAME=arbol.wsrcc.com
IPV6_ROUTER=yes
IPV6FORWARDING=yes
IPV6_DEFAULTDEV=sit1
Comment 1 Wolfgang Rupprecht 2007-05-25 17:16:04 EDT
Note, I just tried to configure the automatic style 6to4 type tunnel.  That
also caused an initialization-time as per above.  To test, remove the 
ifcfg-sit1 above.  Add 
IPV6TO4INIT=yes
to ifcfg-eth0.

change /etc/sysconfig/network file above to say IPV6_DEFAULTDEV=tun6to4 instead
of sit1.  Reboot.  Watch error during eth0 config.  Strangely one can do 
an "ifdown eth0; ifup eth0" and have the ipv6 initialization work.
Comment 2 Bug Zapper 2008-04-04 03:13:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:35:36 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.